# rankest

**rankest** is a lightweight Python package for performing Rank Set Sampling, where rankings are based on the **sum of feature values**. It is especially useful in pre-processing datasets before applying classification algorithms, such as in medical data (e.g., diabetes prediction).

---

## 📌 Features

- Ranks each row by summing the selected feature values.
- Assigns ranks in **descending order** (highest sum gets Rank 1).
- Modular, easy-to-use API.
- Ideal for research and academic projects involving sampling.

---

## 🚀 Installation

You can install the package from PyPI:

```bash
pip install rankest
